Download it now!
Bug 60462 - Small errors in the layout margins of the text boxes
Summary: Small errors in the layout margins of the text boxes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: All All
: medium minor
Assignee: Jorendc
URL:
Whiteboard: target:4.1.0 target:3.6.6 target:4.0.2
Keywords: needsDevEval
Depends on:
Blocks:
 
Reported: 2013-02-08 03:49 UTC by Bastián Díaz
Modified: 2015-12-18 10:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
margins problems (46.86 KB, image/png)
2013-02-08 03:49 UTC, Bastián Díaz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bastián Díaz 2013-02-08 03:49:48 UTC
Created attachment 74399 [details]
margins problems

Small errors in the layout margins of the text boxes. This is repeated in most default settings in the toolbar layout (from 3.6 to the new version 4.0).

In addition (and if so not by the way), there is ample space at the bottom (not proportional to the top). I suppose that space is reserved for footer (not all used) and this space could be dynamic (in the case that the user requires, the lower space suits the new footer).

thanks
Comment 1 Joel Madero 2013-02-20 04:04:56 UTC
Changing version to 3.6.4.3 as I can confirm this minor issue.

@Bastian, we use version to reflect the oldest version that we see the issue on, we then leave comments to say "also seen in version x.x.x.x"

Thanks!

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Marking as:
New (confirmed)
Minor (indeed a bug, trivial is more for labels and quarky stuff like that)
Medium (basically every user that uses presentation would see this, also doesn't look very polished for our product)

ProposedEasyHack
Comment 2 Jorendc 2013-03-03 17:13:51 UTC
I think this is a code pointer (not sure)

Code pointers: http://opengrok.libreoffice.org/xref/core/sd/source/core/sdpage.cxx#1155
Comment 3 Jorendc 2013-03-24 19:46:22 UTC
Fixed. Patch currently under review: https://gerrit.libreoffice.org/#/c/2970/

Kind regards,
Joren
Comment 4 Commit Notification 2013-03-25 08:16:35 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=783c08d8f62def619b6b22b3d76bad2071c9288c

fdo#60462 - Small errors in the layout margins of the text boxes



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-03-25 09:31:23 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bdc2cc432dc9152961261a1def85317d04543c51&h=libreoffice-3-6

fdo#60462 - Small errors in the layout margins of the text boxes


It will be available in LibreOffice 3.6.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-03-25 09:31:42 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5451b7bd30fba75f216f38ba1a1c7c144fd3fa7e&h=libreoffice-4-0

fdo#60462 - Small errors in the layout margins of the text boxes


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-03-25 13:21:11 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "libreoffice-4-0-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f77648ec136e42369dfd4351d8302dc06701d125&h=libreoffice-4-0-2

fdo#60462 - Small errors in the layout margins of the text boxes


It will be available already in LibreOffice 4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-03-29 14:24:06 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "libreoffice-3-6-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ee4a2d3d432e6fdbc651e124c6e1cf7df6133374&h=libreoffice-3-6-6

fdo#60462 - Small errors in the layout margins of the text boxes


It will be available already in LibreOffice 3.6.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Robinson Tryon (qubit) 2015-12-18 10:17:04 UTC
Migrating Whiteboard tags to Keywords: (ProposedEasyHack -> needsDevEval)
[NinjaEdit]